package com.css.simulation.resource.scheduler.configuration.kubernetes;

import io.kubernetes.client.openapi.ApiClient;
import io.kubernetes.client.util.ClientBuilder;
import io.kubernetes.client.util.KubeConfig;
import org.springframework.context.annotation.Bean;

import java.io.FileReader;
import java.io.IOException;

public class KubernetesConfiguration {

    @Bean
    public ApiClient apiClient() throws IOException {
        return ClientBuilder.kubeconfig(KubeConfig.loadKubeConfig(new FileReader("D:\\idea-project\\kubernetes-study\\src\\main\\resources\\config"))).build();
    }

}
